aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.SimpleDb.Core

# Documentation

type ErrorCode = String Source #

data SdbError Source #

Constructors

SdbError |

Fields

- sdbStatusCode :: Status
- sdbErrorCode :: ErrorCode
- sdbErrorMessage :: String

#### Instances

Instances details

Exception SdbError Source # |
Instance details Defined in Aws.SimpleDb.Core Methods toException :: SdbError -> SomeException Source # fromException :: SomeException -> Maybe SdbError Source # displayException :: SdbError -> String Source # backtraceDesired :: SdbError -> Bool Source #
Show SdbError Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> SdbError -> ShowS Source # show :: SdbError -> String Source # showList :: [SdbError] -> ShowS Source #

data SdbMetadata Source #

Constructors

SdbMetadata |

Fields

- requestId :: Maybe Text
- boxUsage :: Maybe Text

#### Instances

Instances details

Loggable SdbMetadata Source # |
Instance details Defined in Aws.SimpleDb.Core Methods toLogText :: SdbMetadata -> Text Source #
Monoid SdbMetadata Source # |
Instance details Defined in Aws.SimpleDb.Core Methods mempty :: SdbMetadata Source # mappend :: SdbMetadata -> SdbMetadata -> SdbMetadata Source # mconcat :: [SdbMetadata] -> SdbMetadata Source #
Semigroup SdbMetadata Source # |
Instance details Defined in Aws.SimpleDb.Core Methods (<>) :: SdbMetadata -> SdbMetadata -> SdbMetadata Source # sconcat :: NonEmpty SdbMetadata -> SdbMetadata Source # stimes :: Integral b => b -> SdbMetadata -> SdbMetadata Source #
Show SdbMetadata Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> SdbMetadata -> ShowS Source # show :: SdbMetadata -> String Source # showList :: [SdbMetadata] -> ShowS Source #

data SdbConfiguration qt Source #

Constructors

SdbConfiguration |

Fields

- sdbiProtocol :: Protocol
- sdbiHttpMethod :: Method
- sdbiHost :: ByteString
- sdbiPort :: Int

#### Instances

Instances details

DefaultServiceConfiguration (SdbConfiguration NormalQuery) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration NormalQuery Source # debugServiceConfig :: SdbConfiguration NormalQuery Source #
DefaultServiceConfiguration (SdbConfiguration UriOnlyQuery) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods defServiceConfig :: SdbConfiguration UriOnlyQuery Source # debugServiceConfig :: SdbConfiguration UriOnlyQuery Source #
Show (SdbConfiguration qt) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> SdbConfiguration qt -> ShowS Source # show :: SdbConfiguration qt -> String Source # showList :: [SdbConfiguration qt] -> ShowS Source #

sdbUsEast :: ByteString Source #

sdbUsWest :: ByteString Source #

sdbEuWest :: ByteString Source #

sdbApSoutheast :: ByteString Source #

sdbApNortheast :: ByteString Source #

sdbHttpGet :: ByteString -> SdbConfiguration qt Source #

sdbHttpPost :: ByteString -> SdbConfiguration NormalQuery Source #

sdbHttpsGet :: ByteString -> SdbConfiguration qt Source #

sdbHttpsPost :: ByteString -> SdbConfiguration NormalQuery Source #

sdbSignQuery :: [(ByteString, ByteString)] -> SdbConfiguration qt -> SignatureData -> SignedQuery Source #

sdbResponseConsumer :: (Cursor -> Response SdbMetadata a) -> IORef SdbMetadata -> HTTPResponseConsumer a Source #

class SdbFromResponse a where Source #

Methods

sdbFromResponse :: Cursor -> Response SdbMetadata a Source #

sdbCheckResponseType :: MonadThrow m => a -> Text -> Cursor -> m a Source #

decodeBase64 :: MonadThrow m => Cursor -> m Text Source #

data Attribute a Source #

Constructors

ForAttribute |

Fields

- attributeName :: Text
- attributeData :: a

#### Instances

Instances details

ListResponse SelectResponse (Item [Attribute Text]) Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods listResponse :: SelectResponse -> [Item [Attribute Text]] Source #
Show a => Show (Attribute a) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> Attribute a -> ShowS Source # show :: Attribute a -> String Source # showList :: [Attribute a] -> ShowS Source #

readAttribute :: MonadThrow m => Cursor -> m (Attribute Text) Source #

data SetAttribute Source #

Constructors

SetAttribute |

Fields

- setAttribute :: Text
- isReplaceAttribute :: Bool

#### Instances

Instances details

Show SetAttribute Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> SetAttribute -> ShowS Source # show :: SetAttribute -> String Source # showList :: [SetAttribute] -> ShowS Source #

attributeQuery :: (a -> [(ByteString, ByteString)]) -> Attribute a -> [(ByteString, ByteString)] Source #

addAttribute :: Text -> Text -> Attribute SetAttribute Source #

replaceAttribute :: Text -> Text -> Attribute SetAttribute Source #

setAttributeQuery :: SetAttribute -> [(ByteString, ByteString)] Source #

data DeleteAttribute Source #

Constructors

DeleteAttribute |
ValuedDeleteAttribute |

Fields

- deleteAttributeValue :: Text

#### Instances

Instances details

Show DeleteAttribute Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> DeleteAttribute -> ShowS Source # show :: DeleteAttribute -> String Source # showList :: [DeleteAttribute] -> ShowS Source #

deleteAttributeQuery :: DeleteAttribute -> [(ByteString, ByteString)] Source #

data ExpectedAttribute Source #

Constructors

ExpectedValue |

Fields

- expectedAttributeValue :: Text

ExpectedExists |

Fields

- expectedAttributeExists :: Bool

#### Instances

Instances details

Show ExpectedAttribute Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> ExpectedAttribute -> ShowS Source # show :: ExpectedAttribute -> String Source # showList :: [ExpectedAttribute] -> ShowS Source #

expectedValue :: Text -> Text -> Attribute ExpectedAttribute Source #

expectedExists :: Text -> Bool -> Attribute ExpectedAttribute Source #

expectedAttributeQuery :: ExpectedAttribute -> [(ByteString, ByteString)] Source #

data Item a Source #

Constructors

Item |

Fields

- itemName :: Text
- itemData :: a

#### Instances

Instances details

ListResponse SelectResponse (Item [Attribute Text]) Source # |
Instance details Defined in Aws.SimpleDb.Commands.Select Methods listResponse :: SelectResponse -> [Item [Attribute Text]] Source #
Show a => Show (Item a) Source # |
Instance details Defined in Aws.SimpleDb.Core Methods showsPrec :: Int -> Item a -> ShowS Source # show :: Item a -> String Source # showList :: [Item a] -> ShowS Source #

readItem :: MonadThrow m => Cursor -> m (Item [Attribute Text]) Source #

itemQuery :: (a -> [(ByteString, ByteString)]) -> Item a -> [(ByteString, ByteString)] Source #